Skip to main content
POST
Create TPA

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

account-tpas-write

Create TPAs

Path Parameters

accountId
integer
required

Your account ID

Body

application/json
payment_product_id
integer
required

Payment product id from GET .../accounts/{accountId}/payment-products

name
string
required
country
enum<string>
required
Available options:
SE,
DK,
NO,
FI
organization_number
string
required
language
enum<string>

TPA legal text language. sv or en. If omitted, Sweden defaults to sv; other countries default to en.

Available options:
sv,
en

Response

201 - application/json

TPA created